JavaPackage
Date: 2017-03-29

com.thoughtworks.qdox.model

## Class JavaPackage

- java.lang.Object
- - com.thoughtworks.qdox.model.AbstractBaseJavaEntity
  - - com.thoughtworks.qdox.model.JavaPackage

- All Implemented Interfaces:
    java.io.Serializable

      public class JavaPackage
      extends AbstractBaseJavaEntity

  A representation of a package.
  Since:
    1.9
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.thoughtworks.qdox.model.AbstractBaseJavaEntity

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaPackage()`
    `JavaPackage(java.lang.String name)`
    `JavaPackage(java.lang.String name, java.util.Map allPackages)` Deprecated. allPackages is solved with the context

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClass(JavaClass clazz)`
    `boolean` | `equals(java.lang.Object o)`
    `Annotation[]` | `getAnnotations()`
    `JavaClass[]` | `getClasses()` Returns all the classes found for the package.
    `int` | `getLineNumber()`
    `java.lang.String` | `getName()`
    `JavaPackage` | `getParentPackage()`
    `JavaPackage[]` | `getSubPackages()`
    `int` | `hashCode()`
    `void` | `setAnnotations(Annotation[] annotations)`
    `void` | `setContext(JavaClassContext context)`
    `void` | `setLineNumber(int lineNumber)`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.thoughtworks.qdox.model.AbstractBaseJavaEntity

      `getParent, getParentClass, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaPackage

          public JavaPackage()

    - #### JavaPackage

          public JavaPackage(java.lang.String name)

    - #### JavaPackage

          public JavaPackage(java.lang.String name,
                     java.util.Map allPackages)

      Deprecated. allPackages is solved with the context
      Parameters:
        `name` -
        `allPackages` -

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `AbstractBaseJavaEntity`

    - #### setName

          public void setName(java.lang.String name)

      Overrides:
        `setName` in class `AbstractBaseJavaEntity`

    - #### getAnnotations

          public Annotation[] getAnnotations()

      Overrides:
        `getAnnotations` in class `AbstractBaseJavaEntity`

    - #### setAnnotations

          public void setAnnotations(Annotation[] annotations)

      Overrides:
        `setAnnotations` in class `AbstractBaseJavaEntity`

    - #### getLineNumber

          public int getLineNumber()

      Overrides:
        `getLineNumber` in class `AbstractBaseJavaEntity`

    - #### setLineNumber

          public void setLineNumber(int lineNumber)

      Overrides:
        `setLineNumber` in class `AbstractBaseJavaEntity`

    - #### setContext

          public void setContext(JavaClassContext context)

    - #### addClass

          public void addClass(JavaClass clazz)

    - #### getClasses

          public JavaClass[] getClasses()

      Returns all the classes found for the package.
      Returns:
        all the classes found for the package

    - #### getParentPackage

          public JavaPackage getParentPackage()

    - #### getSubPackages

          public JavaPackage[] getSubPackages()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Package.html#toString()`